# Advanced message search **POST /conversation/search-advance** Finds messages in a case matching keyword conditions, with the matches highlighted. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Headers - **organization** (string) id of the selected (active) organization ### Body: application/json (object) - **page** (number) - **perPage** (number) - **skip** (number) If skip/limit not provided, page/perPage will take precedence - **limit** (number) If skip/limit not provided, page/perPage will take precedence - **case** (string) Required if caseSlug not present - **caseSlug** (string) Required if case not present - **keywords** (array[array]) - **linkedContacts** (array[string]) - **devices** (array[string]) - **startDate** (string(date-time)) - **endDate** (string(date-time)) - **bbCode** (string) - **operator** (string) - **matchType** (string) ## Responses ### 200 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)